> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Redirect

This endpoint is meant for easy testing without having to do a backend integration.
Note that this is not the recommended integration method and is intended only for temporary testing purposes.

Since the redirect link is completely public, users can share it with others, which may lead to increased cost.

<Warning>
  The Public Redirect endpoint should be used with caution and only for temporary testing. It is not suitable for long term use.
</Warning>

<Note>The 'id=true' query parameter is required to include ID verification in the session.</Note>


## OpenAPI

````yaml ../idcheck-openapi.json GET /public/liveness-redirect
openapi: 3.0.0
info:
  title: Verisoul ID Check API
  description: >-
    ID Check is a Verisoul platform add-on that combines facial biometrics with
    ID verification. The workflow prompts users to provide a valid ID document
    and perform a face scan to verify their identity.


    For users: the process is quick, works on any device/language, and requires
    a valid ID document.

    For developers: ID Check can be integrated within a couple hours of one
    developer's time.
  version: 1.0.0
  contact:
    name: Verisoul Support
    url: https://verisoul.ai
    email: support@verisoul.ai
servers:
  - url: https://api.sandbox.verisoul.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /public/liveness-redirect:
    get:
      tags:
        - Public
      summary: Public redirect to ID Check
      description: A public endpoint that redirects to the ID Check verification page.
      operationId: redirectToIDCheck
      parameters:
        - name: project_id
          in: query
          description: Project ID for the verification
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: query
          description: Flag to indicate that this session will include ID verification
          required: true
          schema:
            type: string
        - name: referring_session_id
          in: query
          description: ID of a referring session, if applicable
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '302':
          description: Redirect to verification page
          headers:
            Location:
              schema:
                type: string
                format: uri
              description: URL to redirect to
          content: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - missing_project_id
                      - groups_enabled
                    description: Error code indicating the reason for failure
              examples:
                missing_project_id:
                  summary: Missing project_id
                  value:
                    error: missing_project_id
                groups_enabled:
                  summary: Groups enabled on project
                  value:
                    error: groups_enabled
      security: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication

````